<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsDeviceMode Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a93ea92beada96830de428650329fc32d">calibratedDataMode</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a837263bbd1f0fc2ac75b1b6b47424c1d">coordinateSystem</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#ae157bca8ecb6d46a41306a7b51035226">dataFormat</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a69328aba1805577880fed4f8987833a3">isAnalogInChannelEnabled</a>(int channelIndex) const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a852d8739556107753d864930ecf0fea6">isGpsPvtDataEnabled</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#aa384890789e6b30ba2ef9139b65f51b7">isModeFlagEnabled</a>(XsOutputMode flag) const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#acd0779e8f56adb13661d1bb38ce35230">isPositionDataEnabled</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a29a40180053bbebfe2a81f5fbad949f0">isRawDataOutputEnabled</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a90067b87cd246434b21320d9e77ea01e">isSettingsFlagEnabled</a>(XsOutputSettings flag) const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a5336b0574437c3bca848a8488a967830">isStatusOutputEnabled</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a5e695180c23a30e0cd951ec302c8a436">isTemperatureOutputEnabled</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a28bd470fa52e551cc21a2b92d5390340">isVelocityDataEnabled</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a264f3ea6d47e98320d3eaca6994435e1">m_outputMode</a></td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a3c8c298efa03e8eb22b64f48e03562d2">m_outputSettings</a></td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a20c54c192873846625da79b30462a309">m_period</a></td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a745af724540dff69413289cf79a77c49">m_skip</a></td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a15f839e4822267408961e92b3c3302b4">operator!=</a>(const XsDeviceMode &amp;other) const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#ac17ecf12fafd80266bc6b8593f128967">operator=</a>(const XsDeviceMode &amp;other)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#ab038fbbb9fd1719ec55ec9f2769b9315">operator==</a>(const XsDeviceMode &amp;other) const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a6f8ca57ae321f5c8006ec894c15e7be0">orientationMode</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#aabf32c276d15804503cc12434326eb5a">outputMode</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a2002c30fde0586a88d9a9b14e5163b40">outputSettings</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a51919c7ee28fd7d1df6eda7b9312ee3a">period</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a81ab2f553c7b46f60be7780d60ccce8e">sampleRate</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a6796c2cf0184b81e0ef8d316f395bcbf">setAnalogInChannelEnabled</a>(int channelIndex, bool enabled)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a35395b7a8e46390d753fefcec8b8a252">setCalibratedDataMode</a>(XsCalibratedDataMode mode)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a4311f44f190a9d3f664da7408203e05c">setCoordinateSystem</a>(XsCoordinateSystem coordinatesystem)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a58f01990b90548bc8a5235baccc34bee">setDataFormat</a>(XsFloatFormat ff)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a03f6fafe9ae07ea6848680ffa7faf3a6">setGpsPvtDataEnabled</a>(bool enabled)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a8972a3cf1332ae5201387483e4b1b5fa">setModeFlag</a>(XsOutputMode flag, bool enabled=true)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a2eaadacdd16e6c6a6dabf6d5d0261220">setOrientationMode</a>(XsOrientationMode mode)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#ae17c8ea9ba0b4b9d40eb1f794b02ca2b">setOutputMode</a>(XsOutputMode mode)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#ad659d568f8ccdf2a429405c765039728">setOutputSettings</a>(XsOutputSettings settings)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#afcaf3f485f7752bd882c7dbe366d74aa">setPeriodAndSkipFactor</a>(int sampleperiod, int skipfactor)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#aea5558f67a49735aba808291fbced1c9">setPositionDataEnabled</a>(bool enabled)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a29e495a18dc83de79ebc23be99e13fb8">setRawDataOutputEnabled</a>(bool enabled)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#ac20d2a6bced698c9dcab602ef1ec53cc">setSettingsFlag</a>(XsOutputSettings flag, bool enabled=true)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a41f6a48b3cadeddd5a83442aedf660a1">setStatusOutputEnabled</a>(bool enabled)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#ab8e3de26c024018dc1ad4512fc89db56">setTemperatureOutputEnabled</a>(bool enabled)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a100998369ba4104151fc93c86e5bd736">setUpdateRate</a>(int rate)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#ad209757f08813415d31b310673fae3c2">setVelocityDataEnabled</a>(bool enabled)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a553100c155d0f4d2254e734914fc7ea1">skipFactor</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#adc677702dffc1325a81201bec5ed578f">toXsDeviceMode</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#ad0f984dd2fef35e705e1da9a0ba0d0b1">toXsDeviceMode2</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a459bb3be031f231e16dc1e86d3b47387">updateRate</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a8236cc56a23d8b2d460457b951d3d607">XsDeviceMode</a>(int rate=100)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a96faa90d82368f453eb92465c626ceb6">XsDeviceMode</a>(uint16_t sampleperiod, uint16_t skipfactor)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#a65effe5e47662d86601b84e6a3b52c73">XsDeviceMode</a>(const XsDeviceMode &amp;other)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a35a20a5b68dc6fb9f23bee5de2e7665f">XsDeviceMode</a>(const XsDeviceModeR &amp;other)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode.html#ab63ed33887bf23329f53dc8357859173">XsDeviceMode</a>(const XsDeviceModePS &amp;other)</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode.html#a440f3578b72ee9e9848b3127b2bc430e">~XsDeviceMode</a>()</td><td class="entry"><a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
